For the complete documentation index, see llms.txt. This page is also available as Markdown.

NFT Collections

Retrieve an account’s NFT collections

get

Returns the NFT collections where the account owns tokens.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
account_idintegerRequired

The account's ID

Query parameters
pageinteger · min: 1 · nullableOptional

Defines the page number to be fetched.

Default: 1Example: 3
page_sizeinteger · min: -1 · nullableOptional

Defines the number of elements displayed on a page.

Default: 10Example: 40
Responses
200

Paginated NFT collection

application/json
get/accounts/{account_id}/nft-collections
GET /accounts/{account_id}/nft-collections HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "edges": [
    {
      "cursor": 0,
      "node": {
        "account_id": 1,
        "contract_address": "text",
        "image": {
          "mediaType": "text",
          "uri": "text"
        },
        "name": "text",
        "price": {
          "contract_address": "text",
          "ticker": "ETH",
          "token_id": "text",
          "value": 1
        },
        "token_balance": 1,
        "token_type": "text"
      }
    }
  ],
  "page_info": {
    "count": 1,
    "has_next_page": false
  }
}